// IAD_Color_Button window
/////////////////////////////////////////////////////////////////////////////
#ifndef _IAD_COLOR_BUTTON_
#define _IAD_COLOR_BUTTON_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000


class IAD_Color_Button : public CButton
{
	 DECLARE_DYNAMIC(IAD_Color_Button)

// Construction
public:
	IAD_Color_Button(	COLORREF *_pclColRef,
										CString _csText,
										long _lButtonNumber);
	
	virtual ~IAD_Color_Button();

// Attributes
public:

private:
	COLORREF *m_pri_pclColRef;
	COLORREF m_pri_clColRefForText;
	CString m_pri_csText;

	BOOL m_pri_bIsDragging;

	HCURSOR m_pri_hcDragCursor;
	HCURSOR m_pri_hcDragInvalidCursor;
	HCURSOR m_pri_hcPreviousCursor;

	long m_pri_lButtonNumber;

	CFont *m_pri_pclFont;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(IAD_Color_Button)
	public:
	virtual void DrawItem(LPDRAWITEMSTRUCT lpDrawItemStruct);
	//}}AFX_VIRTUAL

// Implementation
public:
	CSize m_pub_fn_csCreate(CWnd *_pclParentWnd,
													CRect _crCreationRect);

	void m_pub_fn_vSetColor(COLORREF _Colref);
	COLORREF m_pub_fn_colrefGetColor();


	// Generated message map functions
protected:
	//{{AFX_MSG(IAD_Color_Button)
	afx_msg void OnClicked();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnPaint();
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

#endif // _IAD_COLOR_BUTTON_
